# 22. Virtuoso Functions Guide - exec_next

Chapter Contents | Prev | Next
Keyword Search:
www.openlinksw.com
docs.openlinksw.com
Book Home
Contents
Preface
Virtuoso Functions Guide
Administration
Aggregate Functions
Array Manipulation
BPEL APIs
Backup
Compression
Cursor
Date & Time Manipulation
Debug
Dictionary Manipulation
Encoding & Decoding
File Manipulation
Free Text
Hashing / Cryptographic
LDAP
Locale
Mail
Miscellaneous
Number
Remote SQL Data Source
Replication
SOAP
SQL
__any_grants
close
collation_define
complete_table_name
delay
end_result
exec
exec_next
exec_result
exec_result_names
identity_value
name_part
registry_get
registry_get_all
registry_name_is_pro...
registry_remove
registry_set
result
result_names
row_count
sequence_get_all
sequence_next
sequence_remove
sequence_set
set_identity_column
set_row_count
set_user_id
signal
sinv_create_inverse
sinv_create_key_mapp...
sinv_drop_inverse
sys_stat_analyze
sys_stat_histogram
table_drop_policy
table_set_policy
username
String
Transaction
Type Mapping
UDDI
User Defined Types & The CLR
Virtuoso Java PL API
Virtuoso Server Extension Interface (VSEI)
Web Server & Internet
XML
XPATH & XQUERY
Functions Index

## exec_next

Get next result from a result set
integer retcode exec_next (in cursor_handle long, out sql_state varchar, out sql_error varchar, out row_array vector);
Parameters
cursor_handle – The long cursor handle as obtained from exec().
row_array – An output vector that will contain the result columns.
sql_state – Optional varchar output parameter for SQL state.
sql_error – Optional varchar output parameter for any error message.
Return Values

All data is returned in output parameters.

Description

Use exec_next() to iterate over a result set produced by a statement run with exec.

- open a cursor with exec.
- loop over the results with exec_next
- if exec_next does not return an error or SQL_NO_DATA_FOUND continue the loop with exec_next, otherwise
- close the cursor with exec_close

See Also

exec(), exec_close().